## bsh
Class StringUtil

    java.lang.Object
      bsh.StringUtil

public class StringUtil
extends java.lang.Object

Constructor Summary
`StringUtil()`

Method Summary
`static java.lang.String[]` `bubbleSort(java.lang.String[] in)`
`static java.lang.String` `maxCommonPrefix(java.lang.String one, java.lang.String two)`
`static java.lang.String` `methodString(java.lang.String name, java.lang.Class[] types)`
`static java.lang.String` `normalizeClassName(java.lang.Class type)` Hack - The real method is in Reflect.java which is not public.
`static java.lang.String[]` `split(java.lang.String s, java.lang.String delim)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtil

    public StringUtil()

Method Detail

### split

    public static java.lang.String[] split(java.lang.String s,
                                           java.lang.String delim)

### bubbleSort

    public static java.lang.String[] bubbleSort(java.lang.String[] in)

### maxCommonPrefix

    public static java.lang.String maxCommonPrefix(java.lang.String one,
                                                   java.lang.String two)

### methodString

    public static java.lang.String methodString(java.lang.String name,
                                                java.lang.Class[] types)

### normalizeClassName

    public static java.lang.String normalizeClassName(java.lang.Class type)

  Hack - The real method is in Reflect.java which is not public.